Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehvalidator.handler
Class ErrorValidationHandler

    java.lang.Object
      be.fgov.ehealth.ehvalidator.handler.ErrorValidationHandler

All Implemented Interfaces:
  ErrorHandler

    public class ErrorValidationHandler

extends Object
implements ErrorHandler

Error handler for xsd validation.

Since:
  2.1.1
Author:
  EH10

Field Summary
`static String` | `ERROR` ERROR of type ERROR
`static String` | `FATAL` ERROR of type FATAL
`static String` | `WARNING` ERROR of type WARNING

Constructor Summary
`ErrorValidationHandler()`

Method Summary
`void` | `error(SAXParseException exception)`
`void` | `fatalError(SAXParseException exception)`
`List<String>` | `getExceptionList(String... errorType)` This method will return the .
`boolean` | `hasExceptions(String... errorType)` This method will check if the requested errorType has Exception.
`void` | `warning(SAXParseException exception)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WARNING

    public static final String WARNING

  ERROR of type WARNING

  See Also:
    Constant Field Values

### ERROR

    public static final String ERROR

  ERROR of type ERROR

  See Also:
    Constant Field Values

### FATAL

    public static final String FATAL

  ERROR of type FATAL

  See Also:
    Constant Field Values

Constructor Detail

### ErrorValidationHandler

    public ErrorValidationHandler()

Method Detail

### warning

    public void warning(SAXParseException exception)
                 throws SAXException

  Specified by:
    `warning` in interface `ErrorHandler`
  Throws:
    `SAXException`
  See Also:
    `ErrorHandler.warning(org.xml.sax.SAXParseException)`

### error

    public void error(SAXParseException exception)
               throws SAXException

  Specified by:
    `error` in interface `ErrorHandler`
  Throws:
    `SAXException`
  See Also:
    `ErrorHandler.error(org.xml.sax.SAXParseException)`

### fatalError

    public void fatalError(SAXParseException exception)
                    throws SAXException

  Specified by:
    `fatalError` in interface `ErrorHandler`
  Throws:
    `SAXException`
  See Also:
    `ErrorHandler.fatalError(org.xml.sax.SAXParseException)`

### getExceptionList

    public final List<String> getExceptionList(String... errorType)

  This method will return the . The WARNING, ERROR, FATAL are allowed.

  Parameters:
    `errorType` -
  Returns:
    true if any error is collected.
  Throws:
    `IllegalArgumentException`

### hasExceptions

    public final boolean hasExceptions(String... errorType)

  This method will check if the requested errorType has Exception. The WARNING, ERROR, FATAL are allowed.

  Parameters:
    `errorType` -
  Returns:
    true if any error is collected.
  Throws:
    `IllegalArgumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

eHealth Validator Service Master project 2.1.1 API
Copyright © 2013 eHealth. All Rights Reserved.